Webhook Uç Noktasını Güncelle
PATCH
/v1/stores/{storeId}/webhooks/{webhookId}CoreBir webhook uç noktasını etkinleştirir veya devre dışı bırakır.
Kimlik Doğrulama
İmza Deseni
Dashboard JWT bearer (not the HMAC public API).| Başlık | Değer | Açıklama |
|---|---|---|
Authorization | Bearer {jwt} | Merchant dashboard JWT (from /v1/auth/login) |
Content-Type | application/json | Request content type |
İstek Parametreleri
| Ad | Tür | Zorunlu | Açıklama |
|---|---|---|---|
active | boolean | İsteğe Bağlı | Enable/disable delivery |
İstek Örneği
JSONİstek Gövdesi
{
"active": false
}Yanıt Parametreleri
| Alan | Tür | Örnek |
|---|---|---|
id | string | "whe_9a2e6b4d4e8a" |
url | string | "https://merchant.example.com/kvell/webhook" |
active | boolean | false |
status | string | "active" |
Yanıt Örneği
JSONYanıt
{
"id": "whe_9a2e6b4d4e8a",
"url": "https://merchant.example.com/kvell/webhook",
"active": false,
"status": "active"
}Durum Kodları
200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
DeneSahte
PATCHhttps://api.pay.sandbox.kvell.group